package fr.asip.cps3.exemple.modele.resultats;

/**
 * Classe représentant le résultat de génération d'empreinte d'un message court
 */
public class ResultatEmpreinteMessage extends ResultatDouble {

	/**
	 * L'empreinte
	 */
	private String empreinte;

	/**
	 * Constructeur
	 * @param operation1 Description de la première opération
	 * @param operation2 Description de la deuxième opération
	 */
	public ResultatEmpreinteMessage(String operation1, String operation2){
		this(operation1, operation2, "");
	}
	
	/**
	 * Constructeur
	 * @param operation1 Description de la première opération
	 * @param operation2 Description de la deuxième opération
	 * @param empreinte L'empreinte
	 */
	public ResultatEmpreinteMessage(String operation1, String operation2, String empreinte){
		super(operation1, operation2);
		this.empreinte = empreinte;
	}
	
	/**
	 * Accesseur
	 * @return L'empreinte
	 */
	public String getEmpreinte() {
		return this.empreinte;
	}

	/**
	 * Mutateur
	 * @param empreinte L'empreinte
	 */
	public void setEmpreinte(String empreinte) {
		this.empreinte = empreinte;
	}

}
